var scores = document.getElementsByClassName("points");
document.addEventListener("DOMContentLoaded", updatepoints())

for (var i = 0; i < scores.length; i++) {
    scores[i].addEventListener("change", function() {
        updatepoints();
    });
};

function updatepoints(){
    var sum = 0
    var fail = false
    for(var i = 0; i < scores.length; i++){
        if( Number(scores[i].value) == 0 ) 
            fail = true;
        sum += Number(scores[i].value)
    }

    if(fail || sum <= 25){
        document.getElementById("result").textContent = `Összesen: ${sum}, érdemjegy: elégtelen (1).`;
    } 
    else if(sum <= 30){
        document.getElementById("result").textContent = `Összesen: ${sum}, érdemjegy: elégséges (2).`;
    }
    else if(sum <= 37){
        document.getElementById("result").textContent = `Összesen: ${sum}, érdemjegy: közepes (3).`;
    }
    else if(sum <= 44){
        document.getElementById("result").textContent = `Összesen: ${sum}, érdemjegy: Jó (4).`;
    }
    else{
        document.getElementById("result").textContent = `Összesen: ${sum}, érdemjegy: Jeles (5).`;
    }
}